Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Publish\Core\MVC\Symfony\View\Builder\Registry\ControllerMatch Class Reference

A registry of ViewBuilders that uses the ViewBuilder's match() method to identify the builder against a controller string. More...

Inheritance diagram for eZ\Publish\Core\MVC\Symfony\View\Builder\Registry\ControllerMatch:

## Public Member Functions
| addToRegistry (array $viewBuilders)
| getFromRegistry ($controllerString)
| Returns the ViewBuilder that matches the given controller string. More...

## Private Attributes
| $registry = []

## Detailed Description

A registry of ViewBuilders that uses the ViewBuilder's match() method to identify the builder against a controller string.

Definition at line 15 of file ControllerMatch.php.

## Member Function Documentation

## ◆ addToRegistry()

eZ\Publish\Core\MVC\Symfony\View\Builder\Registry\ControllerMatch::addToRegistry | ( | array | $viewBuilders | ) |

Parameters

  \eZ\Publish\Core\MVC\Symfony\View\Builder\ViewBuilder[] | $viewBuilders |

Implements eZ\Publish\Core\MVC\Symfony\View\Builder\ViewBuilderRegistry.

Definition at line 23 of file ControllerMatch.php.

## ◆ getFromRegistry()

eZ\Publish\Core\MVC\Symfony\View\Builder\Registry\ControllerMatch::getFromRegistry | ( |  | $controllerString | ) |

Returns the ViewBuilder that matches the given controller string.

Parameters

  string | $controllerString | A controller string to match against. Example: ez_content:viewAction.

Returns
  \eZ\Publish\Core\MVC\Symfony\View\Builder\ViewBuilder|null

Implements eZ\Publish\Core\MVC\Symfony\View\Builder\ViewBuilderRegistry.

Definition at line 35 of file ControllerMatch.php.

## Member Data Documentation

## ◆ $registry

eZ\Publish\Core\MVC\Symfony\View\Builder\Registry\ControllerMatch::$registry = []
| private

Definition at line 18 of file ControllerMatch.php.

The documentation for this class was generated from the following file:

- ControllerMatch.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.